Bug 887236 - UnicodeDecodeError: 'ascii' codec can't decode byte 0xe6 in position 3: ordinal not in range(128)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe6 in position 3: ordin...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
abrt_hash:9080b197631b0d94ef398cceddb...
: Reopened
Depends On:
Blocks: F18Blocker/F18FinalBlocker
  Show dependency treegraph
 
Reported: 2012-12-14 07:06 EST by Tommy He
Modified: 2012-12-20 22:26 EST (History)
9 users (show)

See Also:
Fixed In Version: anaconda-18.37.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 22:26:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (473.36 KB, text/plain)
2012-12-14 07:07 EST, Tommy He
no flags Details
File: anaconda.log (4.64 KB, text/plain)
2012-12-14 07:07 EST, Tommy He
no flags Details
File: environ (882 bytes, text/plain)
2012-12-14 07:07 EST, Tommy He
no flags Details
File: ifcfg.log (1.29 KB, text/plain)
2012-12-14 07:07 EST, Tommy He
no flags Details
File: messages (202.86 KB, text/plain)
2012-12-14 07:07 EST, Tommy He
no flags Details
File: program.log (85.83 KB, text/plain)
2012-12-14 07:07 EST, Tommy He
no flags Details
File: storage.log (177.03 KB, text/plain)
2012-12-14 07:08 EST, Tommy He
no flags Details

  None (edit)
Description Tommy He 2012-12-14 07:06:30 EST
Description of problem:
1. Launch anaconda to install.
2. Select Chinese(China)
3. Click Continue
The following was filed automatically by anaconda:
anaconda 18.37.2 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/datetime_spoke.py", line 379, in status
    return _("%s timezone") % self.data.timezone.timezone
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 203, in _updateCompleteness
    spoke.selector.set_property("status", spoke.status)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 171, in _createBox
    self._updateCompleteness(spoke)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 306, in refresh
    self._createBox()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 252, in _on_continue_clicked
    nextAction.refresh()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/__init__.py", line 73, in _on_continue_clicked
    cb()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 299, in _on_continue_clicked
    StandaloneSpoke._on_continue_clicked(self, cb)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/__init__.py", line 77, in <lambda>
    self.window.connect("continue-clicked", lambda *args: self._on_continue_clicked(cb))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe6 in position 3: ordinal not in range(128)

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:UUID=301C-165C rootfstype=vfat ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.6.10-4.fc18.x86_64
other involved packages: 
package:        anaconda-18.37.2-1.fc18.x86_64
packaging.log:  
product:        Fedora
release:        Fedora release 18 (Spherical Cow)
type:           libreport
version:        18
Comment 1 Tommy He 2012-12-14 07:07:03 EST
Created attachment 663525 [details]
File: anaconda-tb
Comment 2 Tommy He 2012-12-14 07:07:07 EST
Created attachment 663526 [details]
File: anaconda.log
Comment 3 Tommy He 2012-12-14 07:07:10 EST
Created attachment 663527 [details]
File: environ
Comment 4 Tommy He 2012-12-14 07:07:13 EST
Created attachment 663528 [details]
File: ifcfg.log
Comment 5 Tommy He 2012-12-14 07:07:46 EST
Created attachment 663529 [details]
File: messages
Comment 6 Tommy He 2012-12-14 07:07:53 EST
Created attachment 663530 [details]
File: program.log
Comment 7 Tommy He 2012-12-14 07:08:20 EST
Created attachment 663531 [details]
File: storage.log
Comment 8 Steve Tyler 2012-12-14 11:11:09 EST
Attempting to reproduce Bug 887236.

Package: anaconda-18.37.2-1.fc18.x86_64
OS Release: Fedora release 18
Comment 9 Steve Tyler 2012-12-14 13:03:01 EST
This exception occurs before the Installation Summary is displayed.
Proposing as a blocker.

Affected languages with significant translation coverage[1] include:
Assamese (India)
Chinese (China)
Chinese (Taiwan)
Czech (Czech Republic)
Hungarian (Hungary)
Japanese (Japan)
Russian (Russia)
Tamil (India)
Ukrainian (Ukraine)

Tested with:
anaconda-18.37.2-1.fc18
$ qemu-kvm -m 2048 -hda f18-test-1.img -cdrom ~/xfr/fedora/F18/F18-Final/TC2/Fedora-18-TC2-x86_64-Live-Desktop.iso -usb -vga qxl -boot menu=on -usbdevice mouse

[1] https://fedora.transifex.com/projects/p/anaconda/resource/master/
Comment 10 Steve Tyler 2012-12-14 15:54:50 EST
This bug does not occur with the DVD.

Tested with:
$ qemu-kvm -m 2048 -hda f18-test-1.img -cdrom ~/xfr/fedora/F18/F18-Final/TC2/Fedora-18-TC2-x86_64-DVD.iso -usb -vga qxl -boot menu=on -usbdevice mouse
Comment 11 Adam Williamson 2012-12-14 16:30:50 EST
Blocker nomination apparently didn't really happen: doing it.
Comment 12 Steve Tyler 2012-12-14 16:39:07 EST
(In reply to comment #11)
> Blocker nomination apparently didn't really happen: doing it.

Thanks. I can only add blockers to bugs I created, so I CC'ed you ... :-)
Comment 13 Jiri Popelka 2012-12-15 09:28:45 EST
- boot TC2 live CD 
- Install to Hard Drive
- Select Czech language, press Continue


Package: anaconda-18.37.2-1.fc18.i686
Architecture: i686
OS Release: Fedora release 18
Comment 14 Adam Williamson 2012-12-17 11:59:27 EST
Discussed at 2012-12-17 blocker review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-17/f18final-blocker-review-5.2012-12-17-16.40.log.txt . Accepted as a blocker per criterion "The installer must be able to complete an installation using all supported interfaces" for several major non-English languages.
Comment 15 Vratislav Podzimek 2012-12-18 05:27:29 EST
(In reply to comment #10)
> This bug does not occur with the DVD.
> 
> Tested with:
> $ qemu-kvm -m 2048 -hda f18-test-1.img -cdrom
> ~/xfr/fedora/F18/F18-Final/TC2/Fedora-18-TC2-x86_64-DVD.iso -usb -vga qxl
> -boot menu=on -usbdevice mouse
Obviously there are better translations on live images than on DVD's.

Patch posted to anaconda-patches.
Comment 16 Steve Tyler 2012-12-18 16:58:49 EST
[f18-branch/master] [PATCH] Encode unicode strings returned by pytz.country_timezones() (#887236)
https://lists.fedorahosted.org/pipermail/anaconda-patches/2012-December/002545.html

Thanks.

The DVD could be a missing translation file:
Bug 875846 - [i18n] "ON" and "OFF" not translated in switches on DVD (gtk30.mo not on DVD)
Comment 17 Fedora Update System 2012-12-18 20:33:47 EST
anaconda-18.37.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.37.4-1.fc18
Comment 18 Fedora Update System 2012-12-19 17:40:19 EST
Package anaconda-18.37.4-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.37.4-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20677/anaconda-18.37.4-1.fc18
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2012-12-20 00:34:18 EST
anaconda-18.37.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Kamil Páral 2012-12-20 05:31:42 EST
We need Live to verify this. Waiting for TC4. Setting back to ON_QA.
Comment 21 Adam Williamson 2012-12-20 16:17:47 EST
you don't need to wait for a compose. Just boot TC3 and yum update anaconda before running it.
Comment 22 Steve Tyler 2012-12-20 16:56:34 EST
Or if you can't wait for the build to show up in a repo and enjoy typing: :-)
# yum -y install koji
# koji download-build --arch=x86_64 373778
# yum -y update *.rpm

I paste this info into a gedit window next to my VM window, so that I don't have to remember the build id:
Information for build anaconda-18.37.5-1.fc18
ID	373778
http://koji.fedoraproject.org/koji/buildinfo?buildID=373778
Comment 23 Adam Williamson 2012-12-20 22:26:10 EST
I tested the fix for this, it works. Reproduced the crash with 18.37.3 and it goes away with 18.37.4.

Note You need to log in before you can comment on or make changes to this bug.